Implementation of the 'slider' markup element. A input HTML element of type range is used to create a slider element. The classes lto-slider-min, lto-slider-max, lto-slider-value and lto-slider-step and their values are taken over from the markup. The slider anchors is an additional possibility to control the slider and can be accessed using the lto-slider-prev and lto-slider-next classes.

see

  IRenderable

### Hierarchy

- Slider

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- container
- slider
- spec

### Methods

- render
- setSliderMinMaxClass
- updateValue
- createSliderButtons

## Constructors

### constructor

- new Slider(spec: ISpecification): Slider

- - Defined in lib/renderable/slider/index.ts:21

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Slider

## Properties

### Private container

container: HTMLDivElement = document.createElement("div")

- Defined in lib/renderable/slider/index.ts:20

### Private slider

slider: HTMLInputElement = document.createElement("input")

- Defined in lib/renderable/slider/index.ts:21

### Private spec

spec: ISpecification

- Defined in lib/renderable/slider/index.ts:18

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/slider/index.ts:30

  Renders an element

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

### setSliderMinMaxClass

- setSliderMinMaxClass(): void

- - Defined in lib/renderable/slider/index.ts:172

  #### Returns void

### Private updateValue

- updateValue(value: string): void

- - Defined in lib/renderable/slider/index.ts:166

  #### Parameters

  - ##### value: string

  #### Returns void

### Static Private createSliderButtons

- createSliderButtons(): HTMLAnchorElement[]

- - Defined in lib/renderable/slider/index.ts:150

  #### Returns HTMLAnchorElement[]

Generated using TypeDoc